## org.codehaus.groovy.grails.scaffolding
Class DefaultGrailsScaffolder.CreateAction

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Closure
              org.codehaus.groovy.grails.scaffolding.DefaultGrailsScaffolder.AbstractAction
                  org.codehaus.groovy.grails.scaffolding.DefaultGrailsScaffolder.CreateAction

All Implemented Interfaces:
  groovy.lang.GroovyObject, Cloneable, Runnable

Enclosing class:
  DefaultGrailsScaffolder

     class DefaultGrailsScaffolder.CreateAction

extends DefaultGrailsScaffolder.AbstractAction

A closure that handles a call to a scaffolded list action

Field Summary

Fields inherited from class org.codehaus.groovy.grails.scaffolding.DefaultGrailsScaffolder.AbstractAction
`controller, request, response, scaffoldRequestHandler, scaffoldResponseFactory, scaffoldResponseHandler`

Fields inherited from class groovy.lang.Closure
`DELEGATE_FIRST, DELEGATE_ONLY, DONE, maximumNumberOfParameters, OWNER_FIRST, OWNER_ONLY, parameterTypes, SKIP, TO_SELF`

Constructor Summary
`DefaultGrailsScaffolder.CreateAction(Object owner)`

Method Summary
`Object` `call(Object[] args)`

Methods inherited from class org.codehaus.groovy.grails.scaffolding.DefaultGrailsScaffolder.AbstractAction
`setScaffoldRequestHandler, setScaffoldResponseHandlerFactory`

Methods inherited from class groovy.lang.Closure
`asWritable, call, call, clone, curry, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, run, setDelegate, setDirective, setProperty, setResolveStrategy, throwRuntimeException`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, invokeMethod, setMetaClass`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultGrailsScaffolder.CreateAction

    public DefaultGrailsScaffolder.CreateAction(Object owner)

Method Detail

### call

    public Object call(Object[] args)

  Overrides:
    `call` in class `groovy.lang.Closure`

Copyright (c) 2005-2006 The Grails project